@import "./globals.css";
*, *::after, *::before {
	-webkit-user-select: none;
	-webkit-user-drag: none;
	-webkit-app-region: no-drag;
    user-select: none;
}
html, body {
    width: 100dvw;
    height: 100dvh;
    font-style: normal;
    font-size: 1rem;
}
body {
    background-color: black;
    overflow-x: hidden;
    overflow-y: hidden;
    padding: 0;
    margin: 0; 
    color: var(--theme);
    transition: color 500ms ease-in-out;
}
canvas {
    width: 100%;
    height: 100%;
    box-sizing: border-box;
    display: block;
    will-change: width, height;
    user-select: none;
    -webkit-tap-highlight-color: transparent;
    position: absolute;
    z-index: 0;
}
#uiCenter {
    /* border: 1px solid var(--theme); */
    border-radius: 5px;
    opacity: 0.9;
    position: absolute;
    left: 50%;
    user-select: none;
    height: min( 45dvh, 55dvw );
    width: min( 45dvh, 55dvw );
    /* top: 37.5dvh; */
    top: 45.0dvh;
    transform: translate3d( -50%, -50%, 0 );
    transition: all 150ms ease-out;
    z-index: 20;
}
@media (max-width: 1100px) 
{
    #uiCenter{
        /* top: 40dvh; */
        transform: scale(2.0);
        /* height: 100%; */
        /* width: 100%; */
    }
}
#gutter {
    display: none;
    border: 1px solid rgba( 255,255,255, 0.35 );
    left: 50%;
    top: 50%;
    position: absolute;
    width: var(--gutter);
    height: var(--gutter);
    transform: translate( -50%, -50% );
}
.lefty {
    left: calc( ( 100dvw - var(--gutter)) * 0.5 );
    text-align: left;
    transform: translate( 0%, 0% );
}
.righty {
    right: calc( ( 100dvw - var(--gutter)) * 0.5 );
    text-align: right;
    transform: translate( 0%, 0% );
}
.centery {
    left: 50%;
    text-align: center;
    transform: translate( -50%, -50% );
}
#belt {
    top: var(--belt);
    height: 0px;
    width: 100%;
    /* border: 1px solid blue; */
    box-sizing: content-box;
    position: absolute;
    margin: 0;
    padding: 0;
}
#logo {
    position: absolute;
    width: 135px;
    height: auto;
    top: var(--belt);
    color: var(--theme);
    transform: translate( 0%, -100%);
    display: inline;
    user-select: none;
    z-index: 3;
}
#logo > svg {
    user-select: none;
    width: 100%;
    height: 100%;
    fill: var(--theme);
    transition: fill 500ms ease-in-out;
}
#mark {
    position: relative;
    width: 135px;
    height: auto;
    /* top: var(--belt); */
    color: var(--theme);
    /* transform: translate( -50%, -100%) scale( 27.5% ); */
    transform: translate( -50%, -50%) scale( 32.5% );
    display: inline;
    /* mix-blend-mode: difference; */
    /* mix-blend-mode:exclusion; */
    user-select: none;
    pointer-events: none;
    z-index: 3;
}
#mark > svg {
    user-select: none;
    pointer-events: none;
    width: 100%;
    height: 100%;
    fill: var(--theme);
    transition: fill 500ms ease-in-out;
}
#mark * {
    pointer-events: none;
}
@media (max-width: 1000px) 
{
    #logo{
        width: max( 20.0dvw, 150px);
    }
}
.break {
    display: block;
    height: 0.0em; /* adjust to control spacing */
}
.tspace {
    display: inline-block;
    width: 0.5em;
}
#optionsContainer {
    position: absolute;
    top: var(--belt);
    left: 0;
    right: 0;
    margin: 0 auto;

    width: fit-content;

    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 3rem;
}
/* #optionsContainer{
    border: 1px solid red;
    position: absolute;
    display: flex;
    left: 50%;
    flex-direction: column;
    align-items: center; 
    gap: 2rem;
    top: 70dvh;
} */
#options {
    /* display: none; */
    /* border: 1px solid blue; */
    width: auto;
    height: auto;
    position: relative;
    
    color: inherit;
    /* opacity: 0; */
    display: flex;
    flex-direction: row;
    gap: clamp( 4px, 0.4dvw, 8px );

    /* left: calc( ( 100dvw - var(--gutter)) * 0.5 + 0px ); */
    left: 50%;
    /* top: calc( var(--belt) + 100px ); */
    /* top: var(--belt); */
    /* bottom: 50px; */
    transform-origin: center left;
    transform: translate( -50%, -50%) scale( 1.0 );
    /* transform: translate( 0, -50%) scale( 0.8 ); */
    /* transition: opacity 200ms ease-out; */

    outline: none;
    -webkit-tap-highlight-color: transparent;
    /* cursor: pointer; */
    z-index: 5;
}
.option {
    box-sizing: border-box;
    width: clamp( 30px, 4.0dvw, 40px );
    height: auto;
    opacity: 0.67;
    overflow: visible;
    position: relative;
    cursor: pointer;
    -webkit-tap-highlight-color: transparent;
    transform-origin: center right;
    transition: opacity 125ms ease-out;
}
.option:hover{
    opacity: 1.0;
}
.option::before,
.option::after {
    --scale: 0.0;
    position: absolute;
    /* top: 4.25rem; */
    top: clamp( 4.25rem, 4.25dvh, 200px );
    /* transform: translate(-50%, -50%) scale(var(--scale)); */
    left: 25px;
    transform: translate( 0, -50% ) scale(var(--scale));
    transition: left 350ms cubic-bezier(0.040, 0.765, 0.000, 0.940), opacity 100ms linear;
    /* transition: border-left 350ms cubic-bezier(0.040, 0.765, 0.000, 0.940), opacity 100ms linear; */
}
.option::before {
    /* border: 1px solid red; */
    content: attr(data-tooltip);
    height: 15px;
    /* padding: 0.5rem; */
    width: 1px;
    /* border-left: 200px solid var(--theme); */ 
    opacity: 0;
    user-select: none;
}
.option:hover::before {
    --scale: 1.0;
    opacity: 1.0;
    width: max-content;
    left: 2px;
    /* border-left: 2.0px solid var(--theme); */
}
.option > svg {
    stroke: var(--theme);
    transition: stroke 500ms ease-in-out;
}
.on {
    opacity: 0.6;
}
.hidden {
    opacity: 0;
    user-select: none;
}
.option path {
    /* stroke: currentColor; */
    stroke-width: 1.2;
    /* transition: stroke-width 80ms ease-out; */
}
/* .option:hover path {
    stroke-width: 1.6;
} */
@media (max-width: 1280px) {
    #options{
        top: calc( var(--belt) + 30px );
    }
}

#wrapper {
    /* border: 1px solid black; */
    /* display: block; */
    position: absolute;
    overflow-x: hidden;
    overflow-y: scroll;
    /* overscroll-behavior: contain; */
    overscroll-behavior: none;
    box-sizing: border-box;
    /* border: 5px solid purple; */
    /* mask-image: linear-gradient(to bottom, #000, transparent); */
    mask-image: linear-gradient( to top, transparent, black 30%);
    -webkit-mask-image: linear-gradient(to top, transparent, black 30%);
    min-height: 100dvh; 
    max-height: 100dvh;
    top: 0;
    left: 0;
    width: 100dvw;
    height: 100dvh;
    user-select: none;
    -webkit-user-select: none;
	-webkit-user-drag: none;
    z-index: 2;
}
#page {
    overscroll-behavior: contain;
    position: absolute;
    width: 100dvw;
    height: 300%;
    opacity: 1;
    /* border: 1px solid rgba( 0.0, 0.0, 0.0, 0.0 ); */
}
#M0 {
    /* display: none; */
    /* opacity: 0; */
    /* border: 5px solid white; */
    box-sizing: border-box;
    left: 0;
    top: 0;
    width: 100dvw;
    height: 100dvh;
    position: absolute;
    transition: opacity 500ms ease-in-out;
}
#M0content {
    /* display: none; */
    /* border: 1px solid white; */
    box-sizing: border-box;
    position: absolute;
    word-break: break-word;
    user-select: none;
    /* overflow: visible; */
    width: auto;
    height: auto;
    /* color: var(--theme); */
    color: inherit;
    /* color: var(--glacier); */
    /* mix-blend-mode: difference; */
    /* filter: invert(100%); */
    /* top: calc( var(--belt) - 0px ); */
    top: 70%;
    /* left: 50%; */
    transform-origin: bottom center;
    /* transform: translate( -50%, -50% ); */
    #M0header {
        line-height: 1.4;
        width: fit-content;
    }
    #M0read {
        max-width: 53ch;
    }
}
@media (max-width: 800px) {
    #M0read {
        width: 250px;
    }
}
@media (max-width: 500px) {
    #M0read {
        width: calc( var(--gutter) );
        text-align: justify;
    }
}
#M1 {
    /* display: none; */
    /* opacity: 0; */
    /* border: 5px solid black; */
    box-sizing: border-box;
    left: 50%;
    top: 100dvh;
    width: 100dvw;
    height: 200dvh;
    overflow: visible;
    padding: 100px 30px;
    position: absolute;
    transform: translate( -50%, 0.0 );
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
}
#M1content {
    box-sizing: border-box;
    position: absolute;
    font-size: 1.0rem;
    user-select: none;
    overflow: hidden;
    width: 414px;
    height: auto;
    color: inherit;
    margin: 0px;
    padding: 0px;
    top: 55dvh;
    overflow: visible;
    transform: translate3d( 0%, -100%, 0.0 );
    z-index: 2;
    #M1header{
        left: -10px;
        margin: 20px 0px;
    }
    #M1read {
        max-width: 53ch;
    }
    svg {
    position: relative;
    top: 3px;
    stroke: var(--theme);
    transition: stroke 500ms ease-in-out;
    margin: 0px 15px 0px 0px;
    }
}
@media (max-width: 500px) {
    #M1read {
        width: calc( var(--gutter) );
        text-align: justify;
    }
}
#M2 {
    /* display: none; */
    /* opacity: 0; */
    /* border: 5px solid white; */
    box-sizing: border-box;
    left: 50%;
    top: 300dvh;
    overflow: hidden;
    position: absolute;
    transform: translate( -50%, 0.0 );
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    gap: 20px;
    width: 100dvw;
    height: 100dvh;
    /* height: max( 100dvh, 1000px ); */
    /* display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center; */
}
#M2content {
    border: 1px solid rgba( 255,255,255, 0.1 );
    box-sizing: border-box;
    /* position: relative; */
    /* display: flex; */
    justify-content: center;
    align-items: center;
    
    font-size: 1.0rem;
    user-select: none;
    overflow: hidden;
    width: 45dvw;
    height: fit-content;
    /* height: 40%; */
    /* width: 414px; */
    /* height: auto; */
    color: inherit;
    margin: 0px;
    padding: 0px;
    top: 57.5dvh;
    overflow: visible;
    /* transform: translate3d( 0%, -100%, 0.0 ); */
    z-index: 2;
    #M2header{
        left: -10px;
        margin: 20px 0px;
    }
    #M2read {
        max-width: 53ch;
    }
}
#M2SDF {
    display: flex;
    justify-content: center;
    align-items: center;
    border: 1px solid rgba( 255,255,255, 0.1 );
    position: relative;
    width: 45dvw;
    height: 50dvh;
    /* top: 50%; */
    /* left: 50%; */
    /* transform: translate( -50%, -50% ); */
}
    @media (max-width: 800px) {

        #M2content {
            width: 80dvw;
        }
        #M2SDF {
            width: 80dvw;
        }
    }
#callout {
    width: 150px;
    height: 150px;
    overflow: visible;
    color: var(--vermilion);
    /* overflow: hidden; */
    /* border: 1px solid red; */
    /* background-color: white; */
    position: absolute;
    top: auto;
    left: auto;
    opacity: 0.8;
    /* transition: all 1000ms ease-in-out; */
    z-index: 1000;

}
#plateau {
    width: 150px;
    height: 150px;
    overflow: visible;
    color: var(--vermilion);
    /* overflow: hidden; */
    /* border: 1px solid red; */
    /* background-color: white; */
    position: absolute;
    top: auto;
    left: auto;
    opacity: 0.8;
    /* transition: all 1000ms ease-in-out; */
    z-index: 1000;

}